C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE FEXP
C*****TAKES THE EXPONENT OF THE CURVE(<88)
	IMPLICIT LOGICAL*1(A)
	IMPLICIT INTEGER*2(D-Z)
	COMMON//SAVDES(256),CURVE1(512)
	DO 10 I=1,SAVDES(108)
	CVY=CURVE1(I)
	IF(CVY.LE.88)GOTO 10
	CVY=88.
	WRITE(7,110)
10	CURVE1(I)=EXP(CVY)
	RETURN
110	FORMAT(1X,'EXP>88')
	END
	SUBROUTINE LOG
C*****TAKES LOG OF CURVE 1
	IMPLICIT INTEGER *2 (D-Z)
	COMMON//SAVDES(256),CURVE1(512)
	DO 10 I=1,SAVDES(108)
10	IF(CURVE1(I).NE.0)CURVE1(I)=ALOG(CURVE1(I))
	RETURN
	END
